Closed Bug 979815 Opened 8 years ago Closed 8 years ago

Update URL of virtualenv to use version 1.9.1 from the official github repository

Categories

(Testing Graveyard :: TPS, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED
mozilla30

People

(Reporter: whimboo, Assigned: whimboo)

References

Details

Attachments

(1 file)

As of now the virtualenv script to create the venv for tps uses a very outdated version of virtualenv on Jgriffin's github account. We should get it updated to use the official repository. The maximum version we currently can use is 1.9.1, which is the last one with support for non-bundled setuptools and pip packages. Later versions would require a substantial rewrite of the install script.

I checked MXR but was not able to find any other tools or tests which make use of this script. So not sure how to fully test this on our test machines. Jonathan, what's the best way here?
Flags: needinfo?(jgriffin)
Attached patch Patch v1Splinter Review
Patch which updates the URL and fixes the README from the Windows line endings.
Attachment #8385991 - Flags: review?(jgriffin)
Comment on attachment 8385991 [details] [diff] [review]
Patch v1

Review of attachment 8385991 [details] [diff] [review]:
-----------------------------------------------------------------

lgtm
Attachment #8385991 - Flags: review?(jgriffin) → review+
This script is really just for local use; it isn't used by the CI machines, so whatever makes it work locally is good.
Flags: needinfo?(jgriffin)
Component: Firefox Sync: Build → TPS
Product: Mozilla Services → Testing
https://hg.mozilla.org/mozilla-central/rev/277d2a878c78
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Product: Testing → Testing Graveyard
You need to log in before you can comment on or make changes to this bug.